#!/bin/sh
-# $Id: stop01.sh,v 1.5 2003-05-24 22:34:48 adam Exp $
+# $Id: stop01.sh,v 1.6 2004-06-14 23:45:11 adam Exp $
# test start and stop of the server with -1
+pp=${srcdir:-"."}
+
LOG=stop01.log
rm -f $LOG
echo "initializing" >>$LOG
mkdir -p reg
-../../index/zebraidx -l $LOG -c zebra1.cfg init || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra1.cfg init || exit 1
#create a base to test on
-../../index/zebraidx -l $LOG -c zebra1.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra1.cfg update records || exit 1
#kill old server (if any)
test -f zebrasrv.pid && kill -9 `cat zebrasrv.pid`
echo "Starting server with -1 (one shot)..." >>$LOG
-../../index/zebrasrv -1 -c zebra1.cfg -l $LOG tcp:@:9901 &
+../../index/zebrasrv -1 -c $pp/zebra1.cfg -l $LOG tcp:@:9901 &
sleep 1
echo " checking that it runs... " >>$LOG
#!/bin/sh
-# $Id: stop02.sh,v 1.5 2003-05-24 22:34:48 adam Exp $
+# $Id: stop02.sh,v 1.6 2004-06-14 23:45:11 adam Exp $
# test start and stop of the server with -S
+pp=${srcdir:-"."}
+
LOG=stop02.log
rm -f $LOG
echo "initializing" >>$LOG
mkdir -p reg
-../../index/zebraidx -l $LOG -c zebra1.cfg init || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra1.cfg init || exit 1
#create a base to test on
-../../index/zebraidx -l $LOG -c zebra1.cfg update records || exit 1
+../../index/zebraidx -l $LOG -c $pp/zebra1.cfg update records || exit 1
#kill old server (if any)
test -f zebrasrv.pid && kill -9 `cat zebrasrv.pid`
echo "Starting server with -S (static)..." >>$LOG
-../../index/zebrasrv -S -c zebra1.cfg -l $LOG tcp:@:9901 &
+../../index/zebrasrv -S -c $pp/zebra1.cfg -l $LOG tcp:@:9901 &
sleep 1
echo " checking that it runs... " >>$LOG